﻿@using System.Web.UI.WebControls; 

<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr style="height:30px">
                <td>
                    @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdPrintKaban";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Print";
                            edtSetting.ClientSideEvents.Click = "OnPrintKanban";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "SEARCH");
                        }).GetHtml()
                </td>
                <td>                                   
                   
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {  
                        settings.Name = "I_PRINT_KANBAN_2";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                    }).BindList(ViewData["PRINTER_FLAG"]).GetHtml()   
                               
                </td> 
            </tr>
        </table>
    </fieldset>
</div>

<div class="content" style="min-height: 100px">
    @Html.Partial("DetailKanbanGrid")
</div>